YearOnYearInflationSwap::arguments Class Reference

Arguments for YoY swap calculation More...

`#include <ql/instruments/yearonyearinflationswap.hpp>`

Inherits Swap::arguments.

## Public Member Functions

void | validate () const

## Public Attributes

Type | type
Real | nominal
std::vector< Date > | fixedResetDates
std::vector< Date > | fixedPayDates
std::vector< Time > | yoyAccrualTimes
std::vector< Date > | yoyResetDates
std::vector< Date > | yoyFixingDates
std::vector< Date > | yoyPayDates
std::vector< Real > | fixedCoupons
std::vector< Spread > | yoySpreads
std::vector< Real > | yoyCoupons

## Detailed Description

Arguments for YoY swap calculation